=== debian/control ===
Source: binutils-armel-cross
Section: devel
Priority: extra
#Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
Maintainer: Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>
Standards-Version: 3.9.3
Build-Depends: dpkg-dev (>= 1.13.9), autoconf (>= 2.64), bison, flex, gettext,
  texinfo, dejagnu (>= 1.4.2-1.1), quilt, file, xz-utils, lsb-release,
  zlib1g-dev,
  binutils-source (>= 2.21.0.20110327-2~)
Vcs-Browser: http://git.linaro.org/gitweb?p=people/hrw/cross-toolchain-packaging.git;a=shortlog;h=refs/heads/debian/experimental/armel-cross-toolchain-base
Vcs-git: git://git.linaro.org/people/hrw/cross-toolchain-packaging.git

Package: binutils-arm-linux-gnueabi
Architecture: amd64 i386
Depends: binutils, ${shlibs:Depends}, ${misc:Depends}
Description: The GNU binary utilities, for arm-linux-gnueabi target
 This package provides GNU assembler, linker and binary utilities
 for arm-linux-gnueabi target, for use in a cross-compilation environment.
 .
 You don't need this package unless you plan to cross-compile programs
 for arm-linux-gnueabi.
