## binutils-armel-cross 1.90

=== debian/changelog ===
binutils-armel-cross (1.90) raring; urgency=low

  * Build-depend on binutils-source (>= 2.23.1-0ubuntu10).

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Feb 2013 02:09:04 +0100

binutils-armel-cross (1.88) raring; urgency=low

  * Remove the add-multiarch-dirs-for-linker patch.
  * Build --with-sysroot=/. LP: #923779.
  * Build-depend on binutils-source (>= 2.23.1-0ubuntu4).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 05 Dec 2012 09:17:21 +0100

binutils-armel-cross (1.87) raring; urgency=low

  * Update to current version
  * Disable -Werror for cross - aarch64 needs it. LP: 1079676

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Mon, 19 Nov 2012 12:46:01 +0100
