## binutils-armel-cross 1.91

=== debian/changelog ===
binutils-armel-cross (1.91) raring; urgency=low

  * Build-depend on binutils-source (>= 2.23.2-1ubuntu2).

 -- Matthias Klose <doko@ubuntu.com>  Sat, 30 Mar 2013 10:25:10 +0100
