## binutils-armel-cross 1.95

=== debian/changelog ===
binutils-armel-cross (1.95) saucy; urgency=low

  * Build-depend on binutils-source (>= 2.23.52.20130913-0~).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Oct 2013 17:11:13 +0200

binutils-armel-cross (1.94) saucy; urgency=low

  * Build-depend on binutils-source (>= 2.23.52.20130722-1~).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Jul 2013 23:23:09 +0200

binutils-armel-cross (1.93) saucy; urgency=low

  * Build-depend on binutils-source (>= 2.23.52.20130611-1~).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Jun 2013 15:12:26 +0200
