## binutils-armel-cross 1.97

=== debian/changelog ===
binutils-armel-cross (1.97) trusty; urgency=low

  * Build-depend on binutils-source (>= 2.24-1~).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 02 Dec 2013 13:44:41 +0100

binutils-armel-cross (1.96) trusty; urgency=low

  * Build-depend on binutils-source (>= 2.23.52.20131116-0~).

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Nov 2013 19:46:37 +0100
