=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,8 @@
 
 EXTRA_DEPS :=
 
+MIN_VER_BINUTILS     = 2.24-5ubuntu13~
+
 ifeq ($(PPA),false)
 
   VER_BINUTILS     := $(shell dpkg-parsechangelog -l/usr/src/binutils/debian/changelog | egrep '^Version:' | cut -f 2 -d ' '|cut -f 1 -d '-'|cut -d '.' -f1-3)
@@ -26,7 +28,7 @@
 else # Linaro toolchain backport PPA
 
   EXTRA_DEPS       :=
-  VER_BINUTILS     := 2.22.52
+  VER_BINUTILS     := 2.24
 
   PKG_VER_BINUTILS := $(shell dpkg-parsechangelog -l/usr/src/binutils-${VER_BINUTILS}/debian/changelog | egrep '^Version:' | cut -f 2 -d ' '|cut -f 1 -d '-')
   DEB_VER_BINUTILS := $(shell dpkg-parsechangelog -l/usr/src/binutils-${VER_BINUTILS}/debian/changelog | egrep '^Version:' | cut -f 2 -d ' ')
@@ -67,7 +69,9 @@
 	$(call unpack_tarball, ${BINUTILS_DIR}/binutils-${VER_BINUTILS}.tar.xz)
 	cd binutils-${PKG_VER_BINUTILS} ;\
 	cp -a ${BINUTILS_DIR}/debian/ . ;\
-	QUILT_PATCHES=${CURDIR}/debian/patches/binutils quilt push -a; \
+	if [ -n "$$(grep -v '^\#' ${CURDIR}/debian/patches/binutils/series)" ]; then \
+	  QUILT_PATCHES=${CURDIR}/debian/patches/binutils quilt push -a; \
+	fi; \
 	echo ${CROSS_ARCH} > debian/target;
 endef
 
@@ -77,8 +81,13 @@
 
 $(stamp)build-binutils:
 	$(call init_binutils)
-	cd binutils-${PKG_VER_BINUTILS} ;\
-	PATCHED_SOURCES=yes PKG_IGNORE_CURRENTLY_BUILDING=1 BACKPORT=false dpkg-buildpackage -b -uc -us -nc -d
+	cd binutils-${PKG_VER_BINUTILS} \
+	  && DEB_TARGET_ARCH=$(CROSS_ARCH) \
+	     WITH_SYSROOT=/ \
+	     PATCHED_SOURCES=yes \
+	     PKG_IGNORE_CURRENTLY_BUILDING=1 \
+	     BACKPORT=false \
+		dpkg-buildpackage -b -uc -us -nc -d
 	# binutils wants dejagnu to generate docs which are not generate during cross build
 	touch $@
 
@@ -170,17 +179,18 @@
 
 
 control:
-	@sed -e "s/CROSS_ARCH/${CROSS_ARCH}/g" \
+	sed -e "s/CROSS_ARCH/${CROSS_ARCH}/g" \
 	    -e "s/CROSS_GNU_TYPE/${CROSS_GNU_TYPE}/g" \
 	    -e "s/MIN_VER_EGLIBC/${MIN_VER_EGLIBC}/g" \
 	    -e "s/MIN_VER_LINUX/${MIN_VER_LINUX}/g" \
 	    -e "s/VER_LINUX/${VER_LINUX}/g" \
 	    -e "s/MIN_VER_GCC/${MIN_VER_GCC}/g" \
 	    -e "s/VER_GCC_BASE/${VER_GCC_BASE}/g" \
+	    -e "s/MIN_VER_BINUTILS/${MIN_VER_BINUTILS}/g" \
 	    -e "s/EXTRA_DEPS/${EXTRA_DEPS}/g" \
 	    $(CURDIR)/debian/control.in >$(CURDIR)/debian/control
 ifeq ($(PPA),true)
-	@sed  \
+	sed  \
 	    -e "s/binutils-source/binutils-${VER_BINUTILS}-source/g" \
 	    -e "s/eglibc-source/eglibc-${VER_EGLIBC}-source/g" \
 	    -e "s/linux-source/linux-source-${VER_LINUX}/g" \
