## binutils-armel-cross 1.102

=== debian/changelog ===
binutils-armel-cross (1.102) utopic; urgency=medium

  * Build-depend on binutils-source (>= 2.24.90.20141014-0~).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Oct 2014 15:14:58 +0200

binutils-armel-cross (1.101) utopic; urgency=medium

  * Build-depend on binutils-source (>= 2.24.51.20140727-0~).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 31 Jul 2014 13:40:06 +0200

binutils-armel-cross (1.100) utopic; urgency=medium

  * Build-depend on binutils-source (>= 2.24.51.20140617-0~).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 18 Jun 2014 14:23:17 +0200

binutils-armel-cross (1.99) utopic; urgency=medium

  * Build-depend on binutils-source (>= 2.24.51-1~).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 12 Jun 2014 11:46:51 +0200
