## binutils-armel-cross 1.106

=== debian/changelog ===
binutils-armel-cross (1.106) vivid; urgency=medium

  * Build for arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Mar 2015 20:33:52 +0100

binutils-armel-cross (1.105) vivid; urgency=medium

  * Build using 2.25-5ubuntu3.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Mar 2015 13:32:01 +0100

binutils-armel-cross (1.104) vivid; urgency=medium

  * Build using binutils 2.25.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Dec 2014 08:58:12 +0100

binutils-armel-cross (1.103) vivid; urgency=medium

  * Rebuild for updated binutils.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Dec 2014 08:18:55 +0100
