=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Build-Depends: dpkg-dev (>= 1.13.9), autoconf (>= 2.64), bison, flex, gettext,
   texinfo, dejagnu (>= 1.4.2-1.1), quilt, file, xz-utils, lsb-release,
   zlib1g-dev,
-  binutils-source (>= 2.24.90.20141014-0~)
+  binutils-source (>= 2.25)
 Vcs-Browser: http://git.linaro.org/gitweb?p=people/hrw/cross-toolchain-packaging.git;a=shortlog;h=refs/heads/debian/experimental/armel-cross-toolchain-base
 Vcs-git: git://git.linaro.org/people/hrw/cross-toolchain-packaging.git
 
 Package: binutils-arm-linux-gnueabi
-Architecture: amd64 i386
+Architecture: amd64 i386 arm64
 Depends: binutils, ${shlibs:Depends}, ${misc:Depends}
 Description: The GNU binary utilities, for arm-linux-gnueabi target
  This package provides GNU assembler, linker and binary utilities
